Merge branch 'release-2.140.114' 2.140.114
authorChris Koeritz <fred@gruntose.com>
Thu, 4 Oct 2018 21:53:18 +0000 (17:53 -0400)
committerChris Koeritz <fred@gruntose.com>
Thu, 4 Oct 2018 21:53:18 +0000 (17:53 -0400)
creating release 2.140.114

26 files changed:
documentation/makefile
experiments/vnc/dot.vnc/xstartup.008
experiments/vnc/dot.vnc/xstartup.009
experiments/vnc/dot.vnc/xstartup.010
experiments/vnc/dot.vnc/xstartup.011
experiments/vnc/dot.vnc/xstartup.012
infobase/configuration/digitalocean/clues_for_using_digitalocean_spaces_on_command_line.txt [new file with mode: 0644]
infobase/configuration/vim/dot.vimrc
infobase/document_templates/fred_floppy_to-do_sizer.ott [new file with mode: 0644]
infobase/fortunes.dat
infobase/games/steam/steam_games_list_url.txt [new file with mode: 0644]
production/feisty_meow_config.ini
readme.txt
scripts/archival/general_updater.sh
scripts/core/functions.sh
scripts/customize/fred/scripts/archival/euphrosyne_comparator.sh
scripts/customize/fred/scripts/games/gamesaver.sh
scripts/modem/reinstall_dgcmodem_driver.sh
scripts/security/cool_permissionator.sh
scripts/system/naive_system_updater.sh
scripts/testing/rounder.sh
scripts/tty/terminal_titler.sh
scripts/wine/remake_wine_links.sh [new file with mode: 0644]
scripts/wine/replace_wine_links.sh [deleted file]
scripts/wine/wine_link_maker.sh [deleted file]
walrus/utilities/archiving/archiving_utilities.txt

index 30fa8229a2a0def7ea2fe388b6bfc4fbd2667345..be0da8ffd62639daa700c222ec6841b8c6564863 100644 (file)
@@ -6,22 +6,32 @@ include cpp/variables.def
 
 PROJECT = Source_Documentation
 TYPE = application
-FIRST_TARGETS += build_doxygen
-CLEANUPS += html
+FIRST_TARGETS += build_docs
 
 include cpp/rules.def
 
-build_doxygen:
-       @echo the defs are $(DEFINITIONS)
+build_docs:
+#      @echo the defs are $(DEFINITIONS)
+       @echo Regenerating documentation for feisty meow with doxygen.  This could take a while...
        $(HIDESH) -c '\
-doxygen $(wildcard *.config); \
+doxygen $(wildcard *.config) &> "$$TEMPORARIES_PILE/doxygen_run_$$(date +"%Y%m%d%H%M%S").log"; \
 if [ $$? -ne 0 ]; then \
   echo failed to run doxygen on our configuration file.; \
-  echo perhaps it is not installed?; \
+  echo perhaps doxygen is not properly installed?; \
   echo these are the ubuntu install steps:; \
-  echo   sudo apt-get install doxygen graphviz; \
-echo and something else, uhhh....; \
-echo oy; \
+  echo   sudo apt install doxygen graphviz; \
 fi \
 '
+       @echo ...done regenerating the feisty meow docs.
+
+clean_docs:
+       @echo dropping code_guide contents.
+       $(HIDESH) -c '\
+for dir in ../production/code_guide; do \
+  for patt in html map md5 png js css ttf dot ; do \
+    rm -f $$dir/*.$$patt; \
+  done; \
+done \
+'
+
 
index a6d4d2612783346d2d2f2fa986a6007abf1536a0..7f659227e76a0110db6dd9b03dadade7b7c7352f 100755 (executable)
@@ -4,7 +4,7 @@
 
 # this script depends on the gnome desktop.  to install the minimal
 # parts of gnome needed (as far as i know), run this command:
-#   sudo apt-get install gnome-panel gnome-settings-daemon metacity nautilus gnome-terminal 
+#   sudo apt install gnome-panel gnome-settings-daemon metacity nautilus gnome-terminal 
 
 # references:
 #   best? https://askubuntu.com/questions/475023/how-to-make-vnc-server-work-with-ubuntu-desktop-without-xfce
index 1eb6fd4cd51ccd005e61bda00c4ae5f71af8c262..8f00477349182ae4ae2df6c4d9f59235d203bd79 100755 (executable)
@@ -4,7 +4,7 @@
 
 # this script depends on the gnome desktop.  to install the minimal
 # parts of gnome needed (as far as i know), run this command:
-#   sudo apt-get install gnome-panel gnome-settings-daemon metacity nautilus gnome-terminal kwalletmanager
+#   sudo apt install gnome-panel gnome-settings-daemon metacity nautilus gnome-terminal kwalletmanager
 
 # references:
 #   best? https://askubuntu.com/questions/475023/how-to-make-vnc-server-work-with-ubuntu-desktop-without-xfce
index 6330427c2d396e1f96c12d569ef30a3c03059998..a2b65d97af7813166c71df00c007d6721614d9ef 100755 (executable)
@@ -4,7 +4,7 @@
 
 # this script depends on the gnome desktop.  to install the minimal
 # parts of gnome needed (as far as i know), run this command:
-#   sudo apt-get install gnome-panel gnome-settings-daemon gnome-terminal kwalletmanager metacity nautilus
+#   sudo apt install gnome-panel gnome-settings-daemon gnome-terminal kwalletmanager metacity nautilus
 
 # references:
 #
index 8dc54aaed941358eaefc6c30655df8e55f4e0bf6..b3f1a654aebdb2cfda90b3af59837a198c0f23b2 100755 (executable)
@@ -4,7 +4,7 @@
 
 # this script depends on the gnome desktop.  to install the minimal
 # parts of gnome needed (as far as i know), run this command:
-#   sudo apt-get install gnome-panel gnome-settings-daemon gnome-terminal kwalletmanager metacity nautilus
+#   sudo apt install gnome-panel gnome-settings-daemon gnome-terminal kwalletmanager metacity nautilus
 
 # references:
 #
index 7e5fc79b05688b261977d5b55e5863a2d08c2ecd..d81e5cc2dfa20a27f4b5e1d012181f7e906e8297 100755 (executable)
@@ -10,7 +10,7 @@
 # this script depends on the gnome desktop.  to install the minimal
 # parts of gnome needed (as far as i know), run this command:
 #
-#   sudo apt-get install gnome-panel gnome-settings-daemon gnome-terminal kwalletmanager metacity nautilus
+#   sudo apt install gnome-panel gnome-settings-daemon gnome-terminal kwalletmanager metacity nautilus
 
 # references:
 #
diff --git a/infobase/configuration/digitalocean/clues_for_using_digitalocean_spaces_on_command_line.txt b/infobase/configuration/digitalocean/clues_for_using_digitalocean_spaces_on_command_line.txt
new file mode 100644 (file)
index 0000000..d7e0063
--- /dev/null
@@ -0,0 +1,11 @@
+
+
+to access digitalocean's spaces from the command line, use s3cmd.
+
+setup access token:
+https://www.digitalocean.com/community/tutorials/how-to-create-a-digitalocean-space-and-api-key
+
+configure s3cmd:
+https://www.digitalocean.com/community/tutorials/how-to-configure-s3cmd-2-x-to-manage-digitalocean-spaces
+
+
index f8fe7a21b8acfbc50beb83099c2b3b4dc8d4d895..7e861cdf6e76aa7a6596877295a4b3ef6eee4c3b 100644 (file)
@@ -2,7 +2,7 @@
 " this file is an example .vimrc for the vim editor.  it should be in your home directory.
 "
 " also, this config uses the elflord color scheme.  this may require installing the full
-" vim package, e.g.: sudo apt-get install vim
+" vim package, e.g.: sudo apt install vim
 
 " cranks up the register saved buffer size to 1000 lines, since otherwise the cut buffer will only
 " preserve the default 50 lines for a paste to another file.  this makes all registers go up to
diff --git a/infobase/document_templates/fred_floppy_to-do_sizer.ott b/infobase/document_templates/fred_floppy_to-do_sizer.ott
new file mode 100644 (file)
index 0000000..1618363
Binary files /dev/null and b/infobase/document_templates/fred_floppy_to-do_sizer.ott differ
index ad9505510dc015740ff55e11e857c75b985921f5..3a9653fc663797383313d9713230487e4d6b5099 100644 (file)
@@ -41585,7 +41585,7 @@ five main types of painful emotions, known as the "five poisons":
 attachment, aggression, jealousy, arrogance, and stupidity.  It can manifest
 as feeling like we're better than others, but just as easily it can manifest
 as low self-esteem, or even self-hatred.  The bottom line is that we regard
-this self—whatever or wherever it is—as the most important thing in the
+this self--whatever or wherever it is--as the most important thing in the
 entire universe.
   -- Dzigar Kongtrul, from "The Intelligent Heart: A Guide to the
 Compassionate Life", published by Shambhala Publications.
@@ -41740,8 +41740,8 @@ modern age turns out to be the perfect setting for our spiritual practice,
 proving far more hospitable to our growth than past eras of idealized calm and
 simplicity.  When we figure out for ourselves how to apply the wisdom of books
 to whatever difficult circumstances arise in life, then that wisdom becomes
-part of our mind.  We become transformed.  My hope for every readeras well
-as for myselfis that we will apply these lojong teachings again and again
+part of our mind.  We become transformed.  My hope for every reader--as well
+as for myself--is that we will apply these lojong teachings again and again
 until they become part of who we are.
   -- Dzigar Kongtrul and Joseph Waxman, in "The Intelligent Heart: A Guide
      to the Compassionate Life", published by Shambhala Publications
@@ -42131,7 +42131,7 @@ initiation, the Karmapa perceived his master in the form of the deity himself.
 caves in order to actualize what had been transmitted.  After only nine days
 of meditation, he spontaneously experienced a strong feeling of warmth and
 bliss.  He removed his monk robes and dressed himself in the simple attire of
-white cotton—repa—worn by yogis.  He meditated for nine months,
+white cotton-repa--worn by yogis.  He meditated for nine months,
 concentrating in particular on the practice of calm abiding (samatha), which
 allows practitioners to pacify and stabilize their mind.  Having excelled in
 this, he continued his retreat for three more years, perfecting his meditative
@@ -42305,7 +42305,7 @@ infinity of consciousness, "nothing at all," and neither perception nor
 nonperception.
     These states can certainly appear enormously attractive from our human
 point of view.  In fact, they correspond to what many think religious practice
-is all aboutattaining some kind of heaven or some sort of tranquillity or
+is all about--attaining some kind of heaven or some sort of tranquillity or
 bliss.  But from the Buddhist viewpoint, the sublimity even of these states is
 not a worthy ultimate goal.  One may ask, "What can possibly be wrong with
 such attainments?"
@@ -42454,7 +42454,7 @@ III.  Path of Insight
     The path of insight begins after the highest worldly dharma and consists
 of calm abiding as a basis for special insight focused on the Four Noble
 Truths.  Four insights correspond to each of the Four Noble Truths, making a
-total of sixteeneight patient acceptances and eight cognitions: the patient
+total of sixteen-eight patient acceptances and eight cognitions: the patient
 acceptance of the cognition of the dharma with respect to suffering, the
 cognition of the dharma with respect to suffering, the patient acceptance of
 the cognition that is the subsequent realization with respect to suffering,
@@ -42622,11 +42622,11 @@ power of abandoning the result, suffering.  In other words, this primordial
 wisdom clearly observes the exhaustion of the cause and non-production of the
 result and is called the "awareness of the exhaustion and non-production."
     Why is this called the path of perfection?  Because the training is
-perfected and one enters the city of nirvanathis is why it is called the
+perfected and one enters the city of nirvana--this is why it is called the
 path of perfection.  At this stage, there are ten attainments of no-more-
 training: starting with perfect view of no-more-training through the perfect
 absorption of no-more-training and then the full liberation of no-more-
-training and the perfect primordial wisdom of no-more-trainingthese ten
+training and the perfect primordial wisdom of no-more-training--these ten
 attainments of no-more-training are included in the five unafflicted skandas:
 
         perfect speech of no-more-training, perfect action, and perfect
@@ -42781,13 +42781,13 @@ ultimate mode of being.  As it is written in the sutra,
       There is but one truth: absence of all origin,
       Yet some will crow about there being four.
       But in the essence of enlightenment,
-      Not one is foundwhy speak of four?
+      Not one is found--why speak of four?
 
 But whereas on the ultimate level, the two truths are not posited, on the
 relative level, they are.  For there is certainly a difference between the way
 things are and the way they appear.  As was said earlier, "These the two
 truths are declared to be."
-  -- The Wisdom Chapter: Jamgön Miphams Commentary on the Ninth Chapter of
+  -- The Wisdom Chapter: Jamgön Mipham's Commentary on the Ninth Chapter of
      The Way of the Bodhisattva, translated by the Padmakara Translation
      Group, published by Shambhala Publications
 ~
@@ -42803,7 +42803,7 @@ transmission and realization.  They should in addition (3) nourish an intense
 wish to practice in accordance with the teaching expounded by their master and
 should (4) zealously adopt the supreme protection afforded by the merit
 accumulated in their past and present existences.  The venerable Nagarjuna
-refers to these four conditions as the ‘‘four wheels,’’ the idea being
+refers to these four conditions as the "four wheels," the idea being
 that, just as someone riding in a (horse-drawn) chariot can cover in a short
 time a distance that would take many days for a cow or ox, a Bodhisattva
 taking advantage of these four conditions will progress speedily toward
@@ -42812,7 +42812,7 @@ omniscience.  Nagarjuna refers to them in his Suhrllekha when he says:
         Your dwelling place befits the task,
         You keep the company of holy beings.
         With highest aspirations and a store of merit,
-        You have indeed the ‘‘four wheels’’ all complete.
+        You have indeed the "four wheels" all complete.
 
   -- from "Treasury of Precious Qualities, Book One: Sutra Teachings", by
      Jigme Lingpa, translated by the Padmakara Translation Group, published
@@ -42830,7 +42830,7 @@ seeker wishing to follow her lead.  In her own words,
         Will flow unceasing.
         Especially to those who in the future meditate
         Upon the subtle veins and energies,
-        Ill show myself--at best directly,
+        I'll show myself--at best directly,
         Else in visions, or at least in dreams,
         Appearing as a common person, or as the secret consort.
         I shall clear the obstacles of those who keep samaya,
@@ -42854,9 +42854,9 @@ of relationships that we have experienced.  Once when the noble Katyayana went
 begging for alms, he came across a group of people and, perceiving the karmic
 links that bound them together, commented:
 
-        He strikes his mother, eats his fathers flesh;
+        He strikes his mother, eats his father's flesh;
         His hated foe he dandles on his lap.
-        Here is a wife that sucks her husbands bones--
+        Here is a wife that sucks her husband's bones--
         At this samsara how can I not laugh?
 
   -- from "Treasury of Precious Qualities, Book One: Sutra Teachings", by
@@ -42880,7 +42880,7 @@ as if undifferentiated, and an immaculate openness dawns.
   -- H.H. the Dalai Lama, from "The Heart of Meditation", translated and
      edited by Jeffrey Hopkins, published by Shambhala Publications
 ~
-    Theres a common misunderstanding among all the human beings who have
+    There's a common misunderstanding among all the human beings who have
 ever been born on the earth that the best way to live is to try to avoid pain
 and just try to get comfortable.  You can see this even in insects and animals
 and birds.
@@ -42888,17 +42888,17 @@ and birds.
 to begin to develop our curiosity, not caring whether the object of our
 inquisitiveness is bitter or sweet.
     When people start to meditate or to work with any kind of spiritual
-discipline, they often think that somehow theyre going to improve, which is
-a sort of subtle aggression against who they really are.      It’s a bit
-like saying, "If I jog, I’ll be a much better person." Or the scenario
-may be that they find fault with others; they might say, "If it weren’t
-for my husband, I’d have a perfect marriage." And "If it weren’t for
-my mind, my meditation would be excellent."
-    But loving-kindness--maitri--toward ourselves doesnt mean getting rid
+discipline, they often think that somehow they're going to improve, which is
+a sort of subtle aggression against who they really are.  It's a bit like
+saying, "If I jog, I'll be a much better person."  Or the scenario may be
+that they find fault with others; they might say, "If it weren't for my
+husband, I'd have a perfect marriage." And "If it weren't for my mind, my
+meditation would be excellent."
+    But loving-kindness--maitri--toward ourselves doesn't mean getting rid
 of anything.  Maitri means that we can still be crazy after all these years.
 We can still be angry after all these years.  We can still be timid or jealous
-or full of feelings of unworthiness.  Meditation practice isnt about trying
-to throw ourselves away and become something better.  Its about befriending
+or full of feelings of unworthiness.  Meditation practice isn't about trying
+to throw ourselves away and become something better.  It's about befriending
 who we are already.
     Perhaps we will experience what is traditionally described as the fruition
 of maitri--playfulness...
@@ -42907,7 +42907,7 @@ of maitri--playfulness...
 ~
     In texts we inherited from India, the basic principle is sometimes called
 the "fundamental innate mind of clear light" and the "fundamental innate
-wisdom of clear light"— these two terms having the same meaning.  In other
+wisdom of clear light"--these two terms having the same meaning.  In other
 texts, it is called the "space-diamond pervading space," whereas in even
 others it is called the "jewel mind," as, for example, when it is said,
 "Separate from the jewel mind, there is no buddha and no sentient being."
@@ -42929,7 +42929,7 @@ compassion will well up effortlessly, a compassion that will never abandon
 living beings who circle in samsara through their clinging to true existence.
 For as it has been taught, it is in the nature of things that such an attitude
 is born.
-  -- from "The Wisdom Chapter: Jamgön Miphams Commentary on the Ninth
+  -- from "The Wisdom Chapter: Jamgön Mipham's Commentary on the Ninth
      Chapter of The Way of the Bodhisattva", published by Shambhala
      Publications
 ~
@@ -42937,12 +42937,12 @@ When resting evenly in meditation with the points of body,
 If appearances cease and you are without thoughts,
 These are the doings of a lethargic shamatha.
 But when you rouse yourself with mindfulness,
-Its like a candle, self-luminous and shining bright,
-Or like a flower thats naturally vivid and clear.
+It's like a candle, self-luminous and shining bright,
+Or like a flower that's naturally vivid and clear.
 Like looking with your eyes at the glow of the sky,
 Awareness-emptiness is naked, open, and clear.
 
-That nonconceptuality thats luminous and clear
+That nonconceptuality that's luminous and clear
 Is the arising of the shamatha experience.
 On the basis of that meditative experience,
 While supplicating the precious jewels,
@@ -42954,18 +42954,18 @@ Through the mighty strength of rousing bodhichitta to benefit others,
 Having been lifted up with a pure aspiration
 To the completely pure path of seeing,
 There, vipashyana directly realizes the purity that cannot be seen
-And then the faults of minds hopes and fears will be known.
-Without going anywhere, you’ll arrive at the Buddha’s ground.
-Without looking at anything, youll see dharmakaya.
+And then the faults of mind's hopes and fears will be known.
+Without going anywhere, you'll arrive at the Buddha's ground.
+Without looking at anything, you'll see dharmakaya.
 Without achieving anything, your aim will be spontaneously accomplished.
   -- from "The Hundred Thousand Songs of Milarepa", By Tsangnyon Heruka,
      Translated by Christopher Stagg, published by Shambhala Publications
 ~
 Trying to find the pain in life is the renunciation of hinayana.  Trying to
 find the ambition in life, trying to reach higher goals, is the
-bodhisattvas ambition in the mahayana.  Trying to find the subtleties of
+bodhisattva's ambition in the mahayana.  Trying to find the subtleties of
 life is the tantric discovery of mystical experience in the vajrayana.   
-  -- Milarepa, from "Milarepa: Lessons from the Life and Songs of Tibets
+  -- Milarepa, from "Milarepa: Lessons from the Life and Songs of Tibet's
      Great Yogi", by Chögyam Trungpa, published by Shambhala Publications
 ~
 The root of our current unsatisfactory condition in a cycle of death and
@@ -42976,14 +42976,14 @@ this reifying view, to realize that the self or essential being as thus
 conceived does not exist at all.  In order reach this realization, according
 to Tsong kha pa, one must use reason to refute the existence, and to prove the
 nonexistence, of this reified self or essence.  Having intellectually arrived
-at the correct philosophical viewthat the self lacks a shred of intrinsic
-natureone proceeds along the path to spiritual liberation through intense,
+at the correct philosophical view--that the self lacks a shred of intrinsic
+nature--one proceeds along the path to spiritual liberation through intense,
 deep, and extensive meditative familiarization with this view.  At the same
 time, however, the practitioner also cultivates compassionate engagement with
 other living beings, making a commitment to help all of them reach perfect
 happiness.
   -- from "Ask a Farmer: Ultimate Analysis and Conventional Existence in
-     Tsong kha pas Lam rim chen mo", by Guy Newland from Changing Minds:
+     Tsong kha pa's Lam rim chen mo", by Guy Newland from Changing Minds:
      Contributions to the Study of Buddhism and Tibet in Honor of Jeffrey
      Hopkins, edited by Guy Newland, published by Shambhala Publications
 ~
@@ -43009,7 +43009,7 @@ artists must go beyond outwardly expressing the elements in an obvious way in
 order to gain experience with the inner subtle elements, which are the source
 of the outer gross elements.  Then they can make art which reflects what
 people need.
-    According to the Buddhist point of view, an artists intention is
+    According to the Buddhist point of view, an artist's intention is
 compassion.  Buddhist artists create in order to make a link with other beings
 through their inner pure elements, and to transform their outer ordinary gross
 elements into enlightenment by means of that connection.   
@@ -43026,11 +43026,11 @@ mind expanded to sky;
 real world grokking just not ready.
   -- fred t. hamster
 ~
-    Generally speaking, when we are too desirous of something in life, were
+    Generally speaking, when we are too desirous of something in life, we're
 less likely to attain it.  Success seems to increase in direct proportion to
 the diminution of our desires.  The same logic applies to our need for
 recognition.  We might want to be appreciated and respected, but we have only
-a limited ability to influence how other people respond and we cant make
+a limited ability to influence how other people respond and we can't make
 somebody show us gratitude any more than we can force someone to love us.  If
 we show love without expecting it to be reciprocated, we will have more chance
 of finding love than if we simply yearn for it.  Likewise, doing something
@@ -43063,8 +43063,8 @@ Padmasambhava, the main architect of the Pristine Mind teachings.  Guru
 Rinpoche has given us the essential opening instructions for practicing
 Pristine Mind meditation in four steps:
 
-         Dont follow the past.
-         Dont anticipate the future.
+         Don't follow the past.
+         Don't anticipate the future.
          Remain in the present moment.
          Leave your mind alone.
 
@@ -43094,7 +43094,7 @@ flowers are complete.  In the winter, they are not.  In dependence upon that,
 flowers grow in the summer but not in the winter.  If causes were not
 necessary, flowers would grow in the winter also.  They would grow at all
 times.
-  -- Khenchen Thrangu, "Essential Practice: Lectures on Kamalashīlas
+  -- Khenchen Thrangu, "Essential Practice: Lectures on Kamalashīla's
      Stages of Meditation in the Middle Way School", published by Shambhala
      Publications
 ~
@@ -43118,7 +43118,7 @@ hungry ghosts, animals, humans, and so forth.  When they fall, mentally they
 suffer greatly.  Therefore, sentient beings born in the states of the six
 wanderers have nothing but suffering.  If we think about that, compassion can
 arise.
-  -- Khenchen Thrangu, "Essential Practice: Lectures on Kamalashīlas
+  -- Khenchen Thrangu, "Essential Practice: Lectures on Kamalashīla's
      Stages of Meditation in the Middle Way School", published by Shambhala
      Publications
 ~
@@ -43146,7 +43146,7 @@ and because it is necessary for yourself and others to attain them, you must
 meditate.  In this world there were nihilists who said that one should not
 meditate, doing only those activities that will bring about marvelous
 happiness, comfort, and prosperity in this lifetime.  The nihilists said that
-one should gather possessions and clothing, and if ones body is sick, one
+one should gather possessions and clothing, and if one's body is sick, one
 should take medicine, that these activities were justified, but that nothing
 else was needed.  Such a philosophy appeared in the world and with respect to
 it there is this Buddhist teaching: You need a job for your livelihood, you
@@ -43200,20 +43200,20 @@ Remember this and practice Dharma from your heart.
   -- Longchenpa, from "Finding Rest in the Nature of the Mind", published
      by Shambhala Publications
 ~
-    The most important thing is to have faith and trust in the Buddhas
-words.  The Buddhas teachings were not taught to deceive us but to explain
-the way things actually are.  Many people try to analyze the Buddhas
-teachings, but how is it possible to scrutinize a buddhas qualities?  We
-dont even know what will happen tomorrow, or when we will die, or anything
+    The most important thing is to have faith and trust in the Buddha's
+words.  The Buddha's teachings were not taught to deceive us but to explain
+the way things actually are.  Many people try to analyze the Buddha's
+teachings, but how is it possible to scrutinize a buddha's qualities?  We
+don't even know what will happen tomorrow, or when we will die, or anything
 about our future lives, so how could we possibly examine the teachings of the
 Omniscient One?  Since we are totally obscured by our strong disturbing
 emotions, in order to progress on the path toward enlightenment, we have no
-choice but to have faith in the Buddhas teachings and apply them in our own
+choice but to have faith in the Buddha's teachings and apply them in our own
 lives.
     The ability to practice Dharma depends on certain conditions.  For
 example, this is a rare time during which the teachings of the Great
-Perfection are said to flourish.  Were very fortunate that through
-Padmasambhava’s blessings, such teachings have appeared and we’re able to
+Perfection are said to flourish.  We're very fortunate that through
+Padmasambhava's blessings, such teachings have appeared and we're able to
 receive them.  We must have accumulated incredible merit and made fervent
 prayers very sincerely over numerous lifetimes to be able to encounter such
 amazing teachings now.  Still, most people are just too involved in worldly
@@ -43232,7 +43232,7 @@ all clean vessels of water, being in all places without coming or going.  If
 one vessel breaks, then the reflection of the sun does not appear in it.  Do
 you think it is the fault of the sun that its reflection does not appear
 there?"
-    "No--it is just because the vessel is broken; its no fault of the sun."
+    "No--it is just because the vessel is broken; it's no fault of the sun."
     "The knowledge of realization of Thusness, buddha-knowledge, is also like
 this, appearing throughout the cosmos, without before or after: Buddha appears
 in the clean mind-vessels of all sentient beings.  If the mind-vessel is
@@ -43263,7 +43263,7 @@ It is better to make an effort.  We have to develop endeavor.
      published as For the Benefit of All Beings, also published by Shambhala
      Publications
 ~
-        I am not angry with my bile and other humors
+        I am not angry with my bile and other humors--
         Fertile source of suffering and pain!
         So why should living beings give offence,
         They likewise are impelled by circumstance?
@@ -43284,19 +43284,19 @@ I am not contained between my hat and boots.
   --Walt Whitman
 ~
 These delightful mountain solitudes
-Are like the family estate to the supreme guides heirs,
+Are like the family estate to the supreme guide's heirs,
 And, as the best of protectors himself has said,
 To rely on solitude is indeed the pinnacle of joys!
 
-Forests, hermitages, and isolated dwelling places
-These are the outer solitude of the Victors heirs.
-Avoiding selfishness and fainthearted fears
-This is the bodhisattvas internal isolation.
+Forests, hermitages, and isolated dwelling places--
+These are the outer solitude of the Victor's heirs.
+Avoiding selfishness and fainthearted fears--
+This is the bodhisattvas' internal isolation.
 
 Keeping, therefore, to outer forms of solitude,
 Tame the inner afflictions through tranquility and insight
-And aspire to the supreme conduct of Samantabhadra
-Possessing such good fortune one is truly the Buddhas heir.
+And aspire to the supreme conduct of Samantabhadra--
+Possessing such good fortune one is truly the Buddha's heir.
 
 With sweetly cascading mountain streams,
 Rocky mountain shelters ascending to heaven,
@@ -43305,30 +43305,30 @@ This mountain retreat surpasses even the deva realm.
 
 The dance of the slender trees does not stir the passions,
 And sweet birdsong brings neither attachment nor aversion,
-Enveloped in nonconceptuality’s gentle, cooling shade—
+Enveloped in nonconceptuality's gentle, cooling shade--
 Such youthful companionship is surely better than a silent void!
 
-Undisturbed by noisy chatter, that thorn in meditations side,
+Undisturbed by noisy chatter, that thorn in meditation's side,
 Alone in this excellent place of unattended solitude,
 The old monkey of the mind has nowhere left to roam
 And, settling down within, finds satisfaction.
 
 Under the bright, oppressive sunlight of busy, bustling crowds,
 Our faults and unhelpful thoughts eclipse the constellations,
-But when embraced by threefold solitudes cooling nectar beams,
+But when embraced by threefold solitude's cooling nectar beams,
 Such faults can easily be overcome through proper antidotes.
 
 When it is undisturbed by rippling thoughts of sadness,
 The pool-like surface of the mind is still, unmoving,
-And faith and compassions reflections readily arise.
+And faith and compassion's reflections readily arise.
 In such constancy, what need is there for a companion?
 
 If the mirror of mind is wiped clean, time and again,
 And uncluttered with objects or circumstances,
 Study, reflection, and meditation present a clear impression.
-What is there to prevent the dawn of Dharmas light?
+What is there to prevent the dawn of Dharma's light?
 
-Hunger, thirst, cold, and the like—all forms of physical affliction—
+Hunger, thirst, cold, and the like--all forms of physical affliction--
 Together with sadness, fear, and all such mental suffering,
 Can, through the teachings, enhance the purifying path
 And, unburdened by avoidance or indulgence, adorn the mind!      
@@ -43349,7 +43349,7 @@ relationships, pratityasamutpada.
   -- Elizabeth Mattis Namgyel, from "The Logic of Faith", published by
      Shambhala Publications
 ~
-It is through the teachers blessing that you see
+It is through the teacher's blessing that you see
 The self-arisen primal wisdom, inexpressible,
 Beyond both word and thought.
 And in the moment of its seeing,
@@ -43361,7 +43361,7 @@ The Great Perfection of the quintessential ultimate reality,
 That is, the fundamental natural state
 Where, from the very first,
 Phenomena are all exhausted.
-It is minds luminosity,
+It is mind's luminosity,
 The self-arisen primal wisdom.
 Many names it has received, yet all have but one meaning:
 Ultimate reality, beyond the range
@@ -43398,8 +43398,8 @@ It is like those who come from three directions
 And meet together in a single place,
 And like the different flowing streams
 That join and are as one within a single sea.
-Bliss, luminosity, and no-thought
-Whichever of these methods one may practice
+Bliss, luminosity, and no-thought--
+Whichever of these methods one may practice--
 When mental movement comes to complete rest
 And in the nature of the mind, the unborn space, dissolves,
 The enlightened mind, devoid of concepts
@@ -43423,5 +43423,230 @@ Just be in its natural state, without premeditation.
 That is true freedom.
   -- Longchenpa, from "You Are the Eyes of the World", published by
      Shambhala Publications
-
+~
+Milarepa's Song on the Way of the Yogi
+
+I am just a man, a yogi of Tibet;
+I am Milarepa.
+I've studied little but have many key instructions.
+Though I'm humble, I have great perseverance.
+I sleep little and have great endurance in meditation.
+I'm an expert in all by knowing one thing
+And I understand everything to be one:
+I am an expert in genuine reality.
+On my small seat, stretching my legs is pleasant.
+With thin clothes, my body is perfectly warm.
+With small bits of tsampa, my stomach is full.
+My example is that which all meditators aspire to.
+I'm a gathering place for those with faith.
+I'm an object of reliance for those fearful of birth and death.
+I go in no fixed direction
+And I stay in no one particular place.
+For conduct, I go without reference points.
+I have no attachment to material things
+And no notion of clean or dirty food.
+For me, the pain of the afflictions is small.
+I have little self-regard and few desires.
+I've little attachment to perceiver and perceived
+And I've loosened the knots of the state of nirvana.
+I'm a friend of the elderly, a shoulder to lean on,
+And a playmate for young children.
+I'm a yogi who roams the country far and wide.
+May you devas and humans be healthy and happy.
+  -- Milarepa and Tsangnyon Heruka, "The Hundred Thousand Songs of Milarepa",
+     published by Shambhala Publications
+~
+It's very important to keep examining your mind at all times and be aware of
+what occurs in it.  We have this habit of criticizing others; we are very good
+at pointing out their faults, but we have a hard time being aware of our own
+flaws.  Examining the faults of others will not benefit anyone and only leads
+to more disturbing emotions, blocking our path to liberation.  Whatever anyone
+else does, let them do it.  It's not your business to find other people's
+flaws, and even if you do point them out, there is no way for you to correct
+them.  On the other hand, it is very important to watch your own mind and
+train in subduing and reducing your own disturbing emotions.  Analyze your
+mind, constantly watch your thoughts, recognizing whether they are positive or
+negative, and become aware of your faults.  If you constantly observe yourself
+and analyze your thoughts, you will eventually be able to tame your mind.
+Since we haven't been able to purify our karmic and emotional obscurations,
+our gross disturbing emotions can come up anytime, and whenever these emotions
+come up, we should apply the antidote by looking into our mind and trying to
+understand that all phenomena are emptiness.  If you leave your mind in a
+relaxed state without contriving anything, disturbing emotions will cease.
+  -- Drubwang Penor Rinpoche, from "An Ocean of Blessings", published by
+     Shambhala Publications
+~
+In general, all joys and sorrows that seem outside
+Are magical creations of one's mind alone;
+Reflections from inside that appear outside,
+Not things outside that have come near.
+
+Knowing this well, when analysis
+Severs the root of the basic mind,
+You will abide in the true sky of reality
+Beyond this fog of appearance.
+
+This so-called existence is a fiction.
+This so-called nonexistence is a fiction.
+Untainted by all such fictions,
+The nature of the mind is perfect buddhahood.
+
+Thoughts of "is" and "is not" are like ripples in water;
+They follow one after the other.
+Dissolving easily into the aimless state,
+They arrive at the ocean of the primordial sphere of reality.
+
+Appearances are the magical display of the mind.
+The mind is empty, without base, without foundation.
+By holding baseless phenomena to be the self
+You and I wander in the realm of samsara.
+
+Without pursuing perceptions,
+When you look directly at the perceiver itself,
+You will see your own inexpressible face;
+The path to achieve buddhahood is not far.
+
+Through the blessings of the divine three foundations,
+May you quickly find the emptiness of your own mind,
+And from the kingdom of the ever-pure great perfection,
+Bring about the great aims of boundless beings.
+    -- from "Gendun Chopel: Tibet's Modern Visionary", by Donald S. Lopez
+       Jr., published by Shambhala Publications
+~
+Parallel to compassion, the Buddhist teachings emphasize loving-kindness--the
+wish for others to have happiness and the causes of happiness.  A traditional
+way of generating loving-kindness begins by looking at our own constant
+longing for happiness and its causes.  Then we contemplate how all others have
+this same longing, every bit as intense as our own.  When we understand that
+we are no different from other beings in this way, we see how unreasonable it
+is to care so much more about ourselves than others.  We do so only out of
+sheer habit--ignorant habit.  At that point, once we've shed some light on
+our habit, we turn our mind toward others, wishing them happiness as much as
+we wish it for ourselves.  Then, in our daily lives, we try to behave in
+accord with this wish, by being kind with our actions, in our speech, and in
+our thoughts.
+  -- Dzigar Kongtrul, from "Training in Tenderness: Buddhist Teachings on
+     Tsewa, the Radical Openness of Heart That Can Change the World",
+     published by Shambhala Publications
+~
+So many wonderful qualities are already present within us, just waiting to be
+discovered.  The key lies in understanding that things are impermanent and
+unreal.  Sadness, of course, is not an end in itself.  But deep sorrow comes
+with realizing that everything we previously took to be lasting and real is
+actually just about to disappear--and it never even existed in the first
+place.  Such sadness and disillusionment have a wonderful effect.  Sorrow
+makes us let go.  As we stop chasing futile and ultimately painful goals, we
+embark on the spiritual path with superior strength and resolve.
+  -- Chokyi Nyima Rinpoche, from "Sadness, Love, Openness: The Buddhist Path
+     of Joy", published by Shambhala Publications
+~
+The blind ant runs about for the sake of happiness.
+The legless worm crawls about for the sake of happiness.
+In brief, all the world is racing with each other,
+Running toward happiness, one faster than the next.
+
+Sometimes, seeing a goddess is revolting.
+Sometimes, seeing an old woman creates lust.
+Thinking, "This is it," something else comes along.
+How can the deceptions of the mind be counted?
+
+Our attitudes change so much
+From childhood to when we are old and decrepit.
+Analyze your own experience and you know this.
+How can you have confidence in today's thoughts?
+
+Due to the mind's insanity, we do not recognize our own face,
+Yet we constantly measure the secular and sacred, heaven and earth.
+Courageous are we who seek lasting refuge
+In this series of mistaken appearances.
+  -- from "Gendun Chopel: Tibet's Modern Visionary", by Donald S.  Lopez
+     Jr., published by Shambhala Publications
+~
+When people say that I have worked a lot for peace, I feel embarrassed.  I
+feel like laughing.  I don't think I have done very much for world peace.
+It's just that my practice is the peaceful path of kindness, love,
+compassion, and not harming others.  This has become part of me.  It is not
+something for which I have specially volunteered.  I am simply a follower of
+the Buddha, and the Buddha taught that patience is the supreme means for
+transcending suffering.  He said, "If a monk harms others, he is not a monk."
+I am a Buddhist monk, so I try to practice accordingly.  When people think
+this practice is something unique and special and call me a leader of world
+peace, I feel almost ashamed!
+  -- H.H. the Fourteenth Dalai Lama, from "The Bodhisattva Guide", published
+     by Shambhala Publications
+~
+We have talked about impermanence and how painful it is to acknowledge that
+everything, including ourselves and all that we love, is going to perish.  But
+the recognition of impermanence is also the threshold to something more,
+something greater.  The reason we take impermanence to heart is that we need
+that understanding to inspire and guide us.  Impermanence closes the gap
+between others and ourselves.  When we recognize that everyone is subject to
+the same merciless conditions, we cannot but respond with affection.  With the
+recognition of the impermanent world comes great compassion, genuine care.
+This pivotal discovery provides the circumstance for a complete opening of our
+minds.  As compassion gains force, it enables our minds to recognize the
+profound nature of emptiness--the true nature of things that lies beyond all
+concepts.  Sorrow and pain become catalysts for deep-felt loving care, and the
+power of universal compassion delivers the realization of the true view.
+That’s when we have truly become students of the Dharma.
+  -- Chokyi Nyima Rinpoche, from "Sadness, Love, Openness: The Buddhist
+     Path of Joy", published by Shambhala Publications
+~
+Buddha qualities are indivisible.
+The disposition is attained as it is.
+The true state is [always] free from any fickleness and deceit.
+Since beginningless time the nature has been peace itself.
+
+Direct perfect enlightenment [with regard to] all aspects,
+and abandonment of the stains along with their imprints
+[are called] buddha and nirvana respectively.
+In truth, these are not two different things.   
+
+  -- Maitreya, Jamgon Kongtrul Lodro Taye, Khenpo Tsultrim Gyamtso, and
+     Asanga in "Buddha Nature: The Mahayana Uttaratantra Shastra with Commentary",
+     Translated by Rosemarie Fuchs, published by Shambhala Publications
+~
+Like vines that wrap themselves round sandal trees,
+People who keep company with holy ones
+Become, in their turn, holy.
+
+And like kusha grass left in a fetid marsh,
+People who keep company with evil beings
+Will in their turn be evil.
+
+So keep the company of holy beings
+And from bad teachers strive to keep your distance.
+
+  -- Longchenpa, in "Finding Rest in the Nature of the Mind, The Trilogy of
+     Rest, Volume 1",  Translated by Padmakara Translation Group, published by
+     Shambhala Publications
+~
+Thinking about the self as composed of “aggregates” (Skt.  skandha) can
+help us reflect on our personal identity in new ways.  Generally, we attribute
+characteristics to our personal identity, feeling that it is solid, permanent,
+and real.  But here, describing the self as being composed of aggregates can
+help us see ourselves more accurately.  The word skandha can be translated
+literally as “heap.” This definition, when applied to ourselves, can help
+us see that we do not have a cohesive, real, and solid self.  We are just a
+heap of stuff — flesh, blood, veins, nerves, bones, hair, cartilage, and so
+on.  When we sort through this heap, what are we actually?  None of the
+elements of the heap is actually “me.”  We are a mere mishmash of material
+conditions that we have identified with and labeled “I.”
+  -- Anyen Rinpoche and Allison Choying Zangmo, in "Stop Biting the Tail
+     You're Chasing: Using Buddhist Mind Training to Free Yourself from Painful
+     Emotional Patterns" published by Shambhala Publications
+~
+I once heard a Buddhist teacher say that the whole point of having a teacher
+was to become autonomous.  I considered that for a while.  I thought, "Well,
+yes, as a mother, I did everything I could to help my son stand on his own two
+feet.  I get that."  But is it possible for anyone to stand on their own two
+feet without their mother, father, or guardian to guide them?  When we are
+born, we are completely helpless and dependent.  We would never survive
+without the help of others.  There is truly no such thing as autonomy.  So if
+you want to live in accordance with the nature of things—which means living
+in grace—practically speaking, it will require some humility and gratitude
+for the ways in which your tradition has come down to you with so much care.   
+  -- Elizabeth Mattis Namgyel, from "The Logic of Faith: The Buddhist Approach
+     to Finding Certainty Beyond Belief and Doubt", published by Shambhala
+     Publications
 
diff --git a/infobase/games/steam/steam_games_list_url.txt b/infobase/games/steam/steam_games_list_url.txt
new file mode 100644 (file)
index 0000000..2d8a331
--- /dev/null
@@ -0,0 +1,9 @@
+
+if you want to see all your steam games from the web, try this URL:
+
+  https://steamcommunity.com/id/mysteamname/games/?tab=all
+
+where you replace "mysteamname" with your steam user name.
+
+
+
index d679b4332b6407668d373e337a80e0142693431c..326f11aa5bd2de47071aaf20faf0d7cd281aaadb 100644 (file)
@@ -3,7 +3,7 @@
 # specifies the version of the code that is being constructed here.
 major=2
 minor=140
-revision=113
+revision=114
 build=420
 
 # specifies the remainder of the version record info.
index b042ed8cde65a9de3d1f6bed22e6b8fdb701e785..7d78391e8e32676d1f303bde6873421fa8ffa1ee 100644 (file)
@@ -56,10 +56,10 @@ How to install the feisty meow script dependencies
 
 A couple of perl modules are required by some of the scripts (including the
 differ utility and the feisty meow customization system).  They can be
-installed with either apt-get or CPAN.
+installed with either apt or CPAN.
 
-Install using apt-get (on Ubuntu or Debian-based OS):
-$ sudo apt-get install libfile-which-perl libtext-diff-perl
+Install using apt (on Ubuntu or Debian-based OS):
+$ sudo apt install libfile-which-perl libtext-diff-perl
 
 or Install using perl's CPAN:
 $ sudo cpan install Text::Diff File::Which
@@ -87,7 +87,7 @@ These dependencies are used for building the applications, tools and tests
 in the "nucleus", "octopi", "graphiq" and other C++ collections.
 
 | Ubuntu / Debian:
-| $ sudo apt-get install build-essential librtmp-dev libcurl4-gnutls-dev libssl-dev
+| $ sudo apt install build-essential librtmp-dev libcurl4-gnutls-dev libssl-dev
 
 | Centos / Redhat / Fedora:
 | $ sudo yum install gcc gcc-c++ openssl-devel.x86_64 curl-devel
index 918671d8116333c436975ce9fa832b67d3230665..084e26c318c0ae756d823bdda0f88d1069d76cac 100644 (file)
@@ -98,4 +98,13 @@ function update_archive_drive()
   popd
 }
 
+#hmmm: abstractable piece?  the runtime plug at the end of a library script?
+# this block should execute when the script is actually run, rather
+# than when it's just being sourced.
+if [[ $0 =~ .*general_updater\.sh.* ]]; then
+  source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
+  exit_on_error "sourcing the feisty meow environment"
+  update_archive_drive "${@}"
+  exit_on_error "updating archive drive at: $*"
+fi
 
index a8e00f22364fa04386eabd7b8ef82289806ff661..a58e818fd5000bee4172a7fcf0f955e8d76d0656 100644 (file)
@@ -187,6 +187,9 @@ if [ -z "$skip_all" ]; then
     # version for the other side (just 'linux'); we don't want the remote side still
     # thinking it's running xterm.
     save_terminal_title
+    if [ ! -z "$DEBUG_FEISTY_MEOW" ]; then
+      echo TERM saved is: $PRIOR_TERMINAL_TITLE
+    fi
 #hmmm: why were we doing this?  it scorches the user's logged in session, leaving it without proper terminal handling.
 #    # we save the value of TERM; we don't want to leave the user's terminal
 #    # brain dead once we come back from this function.
@@ -195,7 +198,13 @@ if [ -z "$skip_all" ]; then
     /usr/bin/ssh -X -C "${args[@]}"
 #    # restore the terminal variable also.
 #    TERM="$oldterm"
+    if [ ! -z "$DEBUG_FEISTY_MEOW" ]; then
+      echo TERM before restore, will use prior title of: $PRIOR_TERMINAL_TITLE
+    fi
     restore_terminal_title
+    if [ ! -z "$DEBUG_FEISTY_MEOW" ]; then
+      echo TERM title restored to prior value
+    fi
   }
 
   ##############
@@ -523,7 +532,7 @@ we will skip recustomization, but these other customizations are available:
 
     local fail_message="\n
 are the perl dependencies installed?  if you're on ubuntu or debian, try this:\n
-    $(grep "apt-get.*perl" $FEISTY_MEOW_APEX/readme.txt)\n
+    $(grep "apt.*perl" $FEISTY_MEOW_APEX/readme.txt)\n
 or if you're on cygwin, then try this (if apt-cyg is available):\n
     $(grep "apt-cyg.*perl" $FEISTY_MEOW_APEX/readme.txt)\n";
 
@@ -708,7 +717,7 @@ or if you're on cygwin, then try this (if apt-cyg is available):\n
     while [ $# -gt 0 ]; do
       arg="$1"; shift
       if [ ! -f "$arg" -a ! -d "$arg" ]; then
-        echo "failure to find a file or directory named '$arg'."
+        echo "=> did not find a file or directory named '$arg'."
         continue
       fi
 
index 1f7e731d9d77bffcf56751029eabab8904674db9..28f703b8159c8c04a12618a9601ee141c0960d50 100644 (file)
@@ -5,7 +5,8 @@
 
 #hmmm: add a check that this is in fact the right host, euphrosyne.
 
-target=wildmutt
+#target=wildmutt
+target=curie
 
 source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
 
index dc6956ec10e3ef467b97817264496f1c1395ee7a..764ab6c5459f59d18fb07970a6b21200a110a84b 100644 (file)
@@ -39,7 +39,7 @@ function copyem()
 }
 
 # make the output folders if they don't exist.
-for i in skyrim fallout_new_vegas fallout_3/Saves oblivion fallout_4/Saves ; do
+for i in skyrim fallout_new_vegas fallout_3 oblivion fallout_4 ; do
   if [ ! -d "$SPOOLING_OUTPUT_DIR/$i" ]; then
     mkdir -p "$SPOOLING_OUTPUT_DIR/$i"
   fi
@@ -54,10 +54,10 @@ copyem "skyrim" "$WINE_SOURCE_DIR/Skyrim/Saves" "$SPOOLING_OUTPUT_DIR/skyrim"
 
 copyem "fallout new vegas" "$WINE_SOURCE_DIR/FalloutNV/Saves" "$SPOOLING_OUTPUT_DIR/fallout_new_vegas"
 
-copyem "fallout 3" "$WINE_SOURCE_DIR/Fallout3/Saves" "$SPOOLING_OUTPUT_DIR/fallout_3/Saves"
+copyem "fallout 3" "$WINE_SOURCE_DIR/Fallout3/Saves" "$SPOOLING_OUTPUT_DIR/fallout_3"
 
 copyem "oblivion" "$WINE_SOURCE_DIR/Oblivion/Saves" "$SPOOLING_OUTPUT_DIR/oblivion/"
 
-copyem "fallout 4" "$WINE_SOURCE_DIR/Fallout4/Saves" "$SPOOLING_OUTPUT_DIR/fallout_4/Saves"
+copyem "fallout 4" "$WINE_SOURCE_DIR/Fallout4/Saves" "$SPOOLING_OUTPUT_DIR/fallout_4"
 
 
index 57db708c1a9ff09616f651511afdc0cbed615e5e..c0199c1a44d1bf71c1dcd58eaefa872ad8a59437 100755 (executable)
@@ -2,7 +2,7 @@
 
 THIS_FOLDER="$( \cd "$(\dirname "$0")" && /bin/pwd )"
 pushd $THIS_FOLDER/modem_driver/*
-sudo apt-get remove dgcmodem
+sudo apt remove dgcmodem
 dpkg -i dgcmodem_1.13_i386.deb
 popd
 
index 12fb254446cfc40664688dca1e4189c6bb08c136..e4f345c9dc3d2798156004450d7ce56aad651a7e 100644 (file)
@@ -10,6 +10,9 @@ function reapply_cool_permissions()
 {
   local cooluser="$1"; shift
 
+#hmmm: check for non empty name.
+  local homebase="/home/$cooluser"
+
   # first build a list of dirs based on their location in /home/archives.
   local arch_builder="archons basement codebarn games imaginations musix pooling prewar_toaster stuffing toaster walrus"
   local ARCHIVE_TOP=/home/archives
@@ -28,14 +31,14 @@ function reapply_cool_permissions()
   fi
 
   # fix some permissions for important security considerations.
-  if [ -d $HOME/.ssh ]; then
-    harsh_perm $HOME/.ssh
+  if [ -d $homebase/.ssh ]; then
+    harsh_perm $homebase/.ssh
   fi
 
 #hmmm: consider adding feisty meow apex to the dirname list below.
 
   # iterate across the list of dirs we want cooluser to own and change their ownership.
-  for dirname in $HOME \
+  for dirname in $homebase \
         $DEFAULT_FEISTYMEOW_ORG_DIR \
         /usr/local/${cooluser} \
         /home/games \
@@ -81,7 +84,7 @@ if [[ $0 =~ .*cool_permissionator\.sh.* ]]; then
   export FEISTY_MEOW_APEX="$( \cd "$THISDIR/../.." && \pwd )"
   source "$THISDIR/../core/launch_feisty_meow.sh"
   exit_on_error "sourcing the feisty meow launcher"
-  coolio="$(logname)"
+  coolio="$USER"
   reapply_cool_permissions "$coolio"
   exit_on_error "reapplying cool permissions on $coolio"
 fi
index cf9cbf898228ec2908c65cef9673fd5ce8aa4232..7be9d658f0a71426f00040af37be3f81652a702d 100644 (file)
@@ -1,15 +1,15 @@
 
 source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
 
-sudo apt-get update -y
-exit_on_error "problem while doing 'apt-get update'"
+sudo apt update -y
+exit_on_error "problem while doing 'apt update'"
 
 # newest magic to tell dpkg to go with existing config files and force non-interactive version.
 sudo bash -c "\
   export DEBIAN_FRONTEND=noninteractive; \
-  apt-get dist-upgrade -y -o Dpkg::Options::=\"--force-confdef\" \
+  apt dist-upgrade -y -o Dpkg::Options::=\"--force-confdef\" \
      -o Dpkg::Options::=\"--force-confold\"; \
 "
-exit_on_error "problem while doing 'apt-get dist-upgrade'"
+exit_on_error "problem while doing 'apt dist-upgrade'"
 
 
index 3214ee683e4fd7544cb55d761d72758b19ec4b35..797dfbb854a255ec466bfd185bd3f4ab76a3d4be 100644 (file)
@@ -6,7 +6,19 @@
 test_to_run="$1"
 
 if [ -z "$test_to_run" ]; then
-  echo "This script requires a test or program to run as the first parameter."
+  echo "
+rounder: this script requires a test or program to run as the first parameter.
+
+the parameter can be an arbitrarily complex bash command as long as it's
+escaped properly.  for example, this command will check a directory size and
+then sleep for 10 seconds:
+
+  rounder  '\du -s ~/a_folder_i_watch; sleep 10'
+
+rounder will run this check, snoozing in between checks, until the universe
+ends or something intervenes.  note that without the sleep, the check would
+occur very rapidly and spew output.
+"
   exit 1
 fi
 
index 9ef4f1c10c15347dd116745aa4260d4ddd257b98..7ced5c9fc83caa8093a303fb5406a936b29c39aa 100644 (file)
@@ -33,7 +33,7 @@ function set_terminal_title()
 {
   apply_title_to_terminal $*
 
-#tricky tries to get it to be available when we ask for it in get_terminal_title
+#tricky attempts to get it to be available when we ask for it in get_terminal_title
   sync
 #  echo -n
 
@@ -50,8 +50,12 @@ function get_terminal_title()
   # save the former terminal title if we're running in X with xterm.
   which xprop &>/dev/null
   if [ $? -eq 0 ]; then
-    # make sure we're actually using xterm *and* that we have a window ID.
-    if [[ "$TERM" =~ .*"xterm".* && ! -z "$WINDOWID" ]]; then
+    # gnome-terminal doesn't set WINDOWID currently, but we can work around this.
+    if [[ -z "$WINDOWID" && ! -z "$(which xwininfo)" ]]; then
+#not good solution.      term_title_found="$(xprop -id $(xdotool getactivewindow) | perl -nle 'print $1 if /^WM_NAME.+= \"(.*)\"$/')"
+      term_title_found=$(xwininfo -id $(xprop -root | awk '/NET_ACTIVE_WINDOW/ { print $5; exit }') | awk -F\" '/xwininfo:/ { print $2; exit }')
+    # check if we're actually using xterm *and* that we have a window ID.
+    elif [[ "$TERM" =~ .*"xterm".* && ! -z "$WINDOWID" ]]; then
       term_title_found="$(xprop -id $WINDOWID | perl -nle 'print $1 if /^WM_NAME.+= \"(.*)\"$/')"
     fi
   fi
diff --git a/scripts/wine/remake_wine_links.sh b/scripts/wine/remake_wine_links.sh
new file mode 100644 (file)
index 0000000..a40f287
--- /dev/null
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# fixes the links that wine makes to our home folder under linux.  that's a really bad
+# practice that exposes all one's private files to the wine subsystem.  dumb.
+# instead, this replaces those links to a local folder with things that the wine applications
+# can't pooch up too much.  must be used within a wine user directory.  for example,
+# i fix my directory '~/.PlayOnLinux/wineprefix/Steam/drive_c/users/fred' with this.
+
+if [ ! -L "My Documents" -o ! -L "Desktop" ]; then
+  echo "This script is meant to be used in a user directory under wine."
+  echo "It will re-hook the links for the desktop and documents to a local folder"
+  echo "called '~/wine_goods'"
+  exit 1
+fi
+
+\rm "Desktop" "My Documents" "My Pictures" "My Videos" "My Music"
+
+if [ ! -d ~/wine_goods ]; then
+  mkdir ~/wine_goods
+fi
+if [ ! -d ~/wine_goods/desktop ]; then
+  mkdir ~/wine_goods/desktop
+fi
+if [ ! -d ~/wine_goods/otherlinks ]; then
+  mkdir ~/wine_goods/otherlinks
+fi
+
+ln -s ~/wine_goods "My Documents"
+ln -s ~/wine_goods/desktop "Desktop"
+ln -s ~/wine_goods/otherlinks "My Pictures"
+ln -s ~/wine_goods/otherlinks "My Videos"
+ln -s ~/wine_goods/otherlinks "My Music"
+
+
diff --git a/scripts/wine/replace_wine_links.sh b/scripts/wine/replace_wine_links.sh
deleted file mode 100644 (file)
index a40f287..0000000
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-
-# fixes the links that wine makes to our home folder under linux.  that's a really bad
-# practice that exposes all one's private files to the wine subsystem.  dumb.
-# instead, this replaces those links to a local folder with things that the wine applications
-# can't pooch up too much.  must be used within a wine user directory.  for example,
-# i fix my directory '~/.PlayOnLinux/wineprefix/Steam/drive_c/users/fred' with this.
-
-if [ ! -L "My Documents" -o ! -L "Desktop" ]; then
-  echo "This script is meant to be used in a user directory under wine."
-  echo "It will re-hook the links for the desktop and documents to a local folder"
-  echo "called '~/wine_goods'"
-  exit 1
-fi
-
-\rm "Desktop" "My Documents" "My Pictures" "My Videos" "My Music"
-
-if [ ! -d ~/wine_goods ]; then
-  mkdir ~/wine_goods
-fi
-if [ ! -d ~/wine_goods/desktop ]; then
-  mkdir ~/wine_goods/desktop
-fi
-if [ ! -d ~/wine_goods/otherlinks ]; then
-  mkdir ~/wine_goods/otherlinks
-fi
-
-ln -s ~/wine_goods "My Documents"
-ln -s ~/wine_goods/desktop "Desktop"
-ln -s ~/wine_goods/otherlinks "My Pictures"
-ln -s ~/wine_goods/otherlinks "My Videos"
-ln -s ~/wine_goods/otherlinks "My Music"
-
-
diff --git a/scripts/wine/wine_link_maker.sh b/scripts/wine/wine_link_maker.sh
deleted file mode 100644 (file)
index 743964e..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-
-
-# find all the directories at this height.
-find . -mindepth 1 -maxdepth 1 -type d -exec echo {} ';' >$TMP/filestolink.txt 
-# make links with all lower case and all upper case versions of the names.
-while read line; do
-  ln -s "$line" "$(echo $line | tr '[:upper:]' '[:lower:]')"
-  ln -s "$line" "$(echo $line | tr '[:lower:]' '[:upper:]')"
-done < $TMP/filestolink.txt 
-# remove dead links.
-\rm $(find . -type l ! -exec test -e {} \; -print)
-
-
index 1b00845564a24ec528b5d9ee7aa1fa9ad6514495..1ab39f27860f149cd507fbcabefb1108c2cbb754 100644 (file)
@@ -1,7 +1,7 @@
 
 infozip: source for infozip version of zip and unzip.
 found in most modern linux distributions already, like:
-  sudo apt-get install zip unzip
+  sudo apt install zip unzip
 http://www.info-zip.org/
 
 tar and gzip are of course old favorites and use by many.